<aside id="sidebar" class="sidebar pb-[32px]">

  <ul class="sidebar-nav" id="sidebar-nav">

    <li class="nav-item">
      <a class="nav-link collapsed"
         [routerLink]="ScreenCodes.HOME | toUrlTree | toUrl">
        <i class="bi bi-grid"></i>
        <span>Dashboard</span>
      </a>
    </li>

    <!-- Validation summarizer -->
    <li class="nav-item">
      <a class="nav-link collapsed" data-bs-target="#components-nav" data-bs-toggle="collapse" href="#">
        <i class="bi bi-menu-button-wide"></i><span>Validation summarizer</span><i class="bi bi-chevron-down ms-auto"></i>
      </a>
      <ul id="components-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
        <li>
          <a [routerLink]="ScreenCodes.VALIDATION_SUMMARIZER__BASIC | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Basic usage</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.VALIDATION_SUMMARIZER__TEMPLATE_DRIVEN | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Template driven</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.VALIDATION_SUMMARIZER__VALIDATION_CLASS | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Validation class</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.VALIDATION_SUMMARIZER__FORM_ARRAY | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Form array</span>
          </a>
        </li>
      </ul>
    </li>

    <!-- Multiple validation summarizer -->
    <li class="nav-item">
      <a class="nav-link collapsed" data-bs-target="#tables-nav" data-bs-toggle="collapse" href="#">
        <i class="bi bi-layout-text-window-reverse"></i><span>Multiple validation summarizer</span><i class="bi bi-chevron-down ms-auto"></i>
      </a>
      <ul id="tables-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
        <li>
          <a [routerLink]="ScreenCodes.MULTIPLE_VALIDATION_SUMMARIZER__BASIC | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Basic usage</span>
          </a>
        </li>
      </ul>
    </li>

    <!-- Feature sentinel -->
    <li class="nav-item">
      <a class="nav-link collapsed" data-bs-target="#charts-nav" data-bs-toggle="collapse" href="#">
        <i class="bi bi-bar-chart"></i><span>Feature sentinel</span><i class="bi bi-chevron-down ms-auto"></i>
      </a>
      <ul id="charts-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
        <li>
          <a [routerLink]="ScreenCodes.FEATURE_SENTINEL__BASIC_USAGE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Basic usage</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.FEATURE_SENTINEL__WITH_ELSE_TEMPLATE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>With else template</span>
          </a>
        </li>
      </ul>
    </li>

    <!-- Role sentinel -->
    <li class="nav-item">
      <a class="nav-link collapsed" data-bs-target="#icons-nav" data-bs-toggle="collapse" href="#">
        <i class="bi bi-gem"></i><span>Role sentinel</span><i class="bi bi-chevron-down ms-auto"></i>
      </a>
      <ul id="icons-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
        <li>
          <a [routerLink]="ScreenCodes.ROLE_SENTINEL__BASIC_USAGE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Basic usage</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.ROLE_SENTINEL__WITH_ELSE_TEMPLATE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>With else template</span>
          </a>
        </li>
      </ul>
    </li>

    <!-- Requirement sentinel -->
    <li class="nav-item">
      <a class="nav-link collapsed" data-bs-target="#requirements-nav" data-bs-toggle="collapse" href="#">
        <i class="bi bi-person"></i><span>Requirement sentinel</span><i class="bi bi-chevron-down ms-auto"></i>
      </a>
      <ul id="requirements-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
        <li>
          <a [routerLink]="ScreenCodes.REQUIREMENT_SENTINEL__BASIC_USAGE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Basic usage</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.REQUIREMENT_SENTINEL__WITH_ELSE_TEMPLATE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>With else template</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.REQUIREMENT_SENTINEL__WITH_LOG | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>With logs</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.REQUIREMENT_SENTINEL__WITH_CONTEXT | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>With contexts</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.REQUIREMENT_SENTINEL__WITH_CHILD_MODULES | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>With child modules</span>
          </a>
        </li>
      </ul>
    </li>

    <!-- Spinner -->
    <li class="nav-item">
      <a class="nav-link collapsed" data-bs-target="#spinners-nav" data-bs-toggle="collapse" href="#">
        <i class="bi bi-arrow-clockwise"></i><span>Spinner</span><i class="bi bi-chevron-down ms-auto"></i>
      </a>
      <ul id="spinners-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
        <li>
          <a [routerLink]="ScreenCodes.SPINNER__METHOD_INVOKE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>With method invoke</span>
          </a>
        </li>
        <li>
          <a [routerLink]="ScreenCodes.SPINNER__MULTIPLE_SPINNERS | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Multiple spinners</span>
          </a>
        </li>
        <li>
          <a [routerLink]="basicSpinnerUsageNavigationRequest | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Basic usage</span>
          </a>
        </li>
      </ul>
    </li>

    <!-- Stack -->
    <li class="nav-item">
      <a class="nav-link collapsed" data-bs-target="#stack-nav" data-bs-toggle="collapse" href="#">
        <i class="bi bi-arrow-clockwise"></i><span>Stack</span><i class="bi bi-chevron-down ms-auto"></i>
      </a>
      <ul id="stack-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
        <li>
          <a [routerLink]="ScreenCodes.STACK__BASIC_USAGE | toUrlTree | toUrl">
            <i class="bi bi-circle"></i><span>Basic usage</span>
          </a>
        </li>
      </ul>
    </li>
  </ul>

  <div class="absolute bottom-0 left-0 right-0 h-[32px] flex items-center border-top bg-slate-50">
    <div class="px-[20px]">
      <small>
        <b>Version: {{version}}</b>
      </small>
    </div>
  </div>

</aside>
